﻿using C_UI.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reactive.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;


namespace C_UI
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnUploadfile_Click(object sender, EventArgs e)
        {
            DialogResult result = ofdUploadFile.ShowDialog();
            string fileExt = System.IO.Path.GetExtension(ofdUploadFile.FileName);
            if (result == DialogResult.OK && fileExt==".dcm") 
            {
                InputsDto inputsDto = new InputsDto() { ServerHost= cbxIPs.Text ,Port= int.Parse(txtPort.Text) ,
                    FileNames= ofdUploadFile.FileNames ,ServerAET= txtServerAET.Text,Aet = txtAet.Text
                };
                SCU_Store.StoreFile(inputsDto);
                
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            cbxIPs.SelectedIndex = 0;
        }
    }
}
